IntegrationTestMixin (Grails 2.4.4)
Date: 2014-10-28

Package: grails.test.mixin.integration

## [Groovy] Class IntegrationTestMixin

- grails.test.mixin.integration.IntegrationTestMixin

- All Implemented Interfaces and Traits:
    TestMixinTargetAware

      @groovy.transform.CompileStatic
      class IntegrationTestMixin
      extends java.lang.Object

  A mixin for enhancing integration tests with autowiring and transactional capabitities

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsTestInterceptor` | `interceptor`
    `java.lang.Object` | `target`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `destoryIntegrationTest()`
    `void` | `initIntegrationTest()`
    `void` | `setTarget(java.lang.Object target)`
    `java.lang.String` | `shouldFail(groovy.lang.Closure code)` Asserts that the given code closure fails when it is evaluated
    `java.lang.String` | `shouldFail(java.lang.Class clazz, groovy.lang.Closure code)` Asserts that the given code closure fails when it is evaluated and that a particular exception is thrown.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### GrailsTestInterceptor interceptor

    - #### java.lang.Object target

  - ### Method Detail

    - #### @org.junit.After void destoryIntegrationTest()

    - #### @org.junit.Before void initIntegrationTest()

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) void setTarget(java.lang.Object target)

    - #### java.lang.String shouldFail(groovy.lang.Closure code)

      Asserts that the given code closure fails when it is evaluated

      Parameters:
        code
      Returns:
        the message of the thrown Throwable

    - #### java.lang.String shouldFail(java.lang.Class clazz, groovy.lang.Closure code)

      Asserts that the given code closure fails when it is evaluated and that a particular exception is thrown.

      Parameters:
        `clazz` - the class of the expected exception
        `code` - the closure that should fail
      Returns:
        the message of the expected Throwable